## XfceMenuItem

XfceMenuItem

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuItemPrivate;
                        XfceMenuItemClass;
                        XfceMenuItem;
    XfceMenuItem *      xfce_menu_item_new                  (const gchar *filename);
    const gchar *       xfce_menu_item_get_desktop_id       (XfceMenuItem *item);
    void                xfce_menu_item_set_desktop_id       (XfceMenuItem *item,
                                                             const gchar *desktop_id);
    const gchar *       xfce_menu_item_get_filename         (XfceMenuItem *item);
    void                xfce_menu_item_set_filename         (XfceMenuItem *item,
                                                             const gchar *filename);
    const gchar *       xfce_menu_item_get_command          (XfceMenuItem *item);
    void                xfce_menu_item_set_command          (XfceMenuItem *item,
                                                             const gchar *command);
    const gchar *       xfce_menu_item_get_try_exec         (XfceMenuItem *item);
    void                xfce_menu_item_set_try_exec         (XfceMenuItem *item,
                                                             const gchar *try_exec);
    const gchar *       xfce_menu_item_get_name             (XfceMenuItem *item);
    void                xfce_menu_item_set_name             (XfceMenuItem *item,
                                                             const gchar *name);
    const gchar *       xfce_menu_item_get_icon_name        (XfceMenuItem *item);
    void                xfce_menu_item_set_icon_name        (XfceMenuItem *item,
                                                             const gchar *icon_name);
    gboolean            xfce_menu_item_requires_terminal    (XfceMenuItem *item);
    void                xfce_menu_item_set_requires_terminal
                                                            (XfceMenuItem *item,
                                                             gboolean requires_terminal);
    gboolean            xfce_menu_item_get_no_display       (XfceMenuItem *item);
    void                xfce_menu_item_set_no_display       (XfceMenuItem *item,
                                                             gboolean no_display);
    gboolean            xfce_menu_item_supports_startup_notification
                                                            (XfceMenuItem *item);
    void                xfce_menu_item_set_supports_startup_notification
                                                            (XfceMenuItem *item,
                                                             gboolean supports_startup_notification);
    GList *             xfce_menu_item_get_categories       (XfceMenuItem *item);
    void                xfce_menu_item_set_categories       (XfceMenuItem *item,
                                                             GList *categories);
    gboolean            xfce_menu_item_show_in_environment  (XfceMenuItem *item);
    void                xfce_menu_item_ref                  (XfceMenuItem *item);
    void                xfce_menu_item_unref                (XfceMenuItem *item);
    gint                xfce_menu_item_get_allocated        (XfceMenuItem *item);
    void                xfce_menu_item_increment_allocated  (XfceMenuItem *item);
    void                xfce_menu_item_decrement_allocated  (XfceMenuItem *item);

## Object Hierarchy

      GObject
       +----XfceMenuItem

## Implemented Interfaces

XfceMenuItem implements XfceMenuElement.

## Properties

      "command"                  gchar*                : Read / Write
      "comment"                  gchar*                : Read / Write
      "desktop-id"               gchar*                : Read / Write
      "filename"                 gchar*                : Read / Write
      "generic-name"             gchar*                : Read / Write
      "icon-name"                gchar*                : Read / Write
      "name"                     gchar*                : Read / Write
      "no-display"               gboolean              : Read / Write
      "path"                     gchar*                : Read / Write
      "requires-terminal"        gboolean              : Read / Write
      "supports-startup-notification" gboolean              : Read / Write
      "try-exec"                 gchar*                : Read / Write

## Description

## Details

### XfceMenuItemPrivate

    typedef struct _XfceMenuItemPrivate XfceMenuItemPrivate;

### XfceMenuItemClass

    typedef struct _XfceMenuItemClass XfceMenuItemClass;

### XfceMenuItem

    typedef struct _XfceMenuItem XfceMenuItem;

### xfce_menu_item_new ()

    XfceMenuItem *      xfce_menu_item_new                  (const gchar *filename);

`filename` : |
Returns : |

### xfce_menu_item_get_desktop_id ()

    const gchar *       xfce_menu_item_get_desktop_id       (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_desktop_id ()

    void                xfce_menu_item_set_desktop_id       (XfceMenuItem *item,
                                                             const gchar *desktop_id);

`item` : |
`desktop_id` : |

### xfce_menu_item_get_filename ()

    const gchar *       xfce_menu_item_get_filename         (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_filename ()

    void                xfce_menu_item_set_filename         (XfceMenuItem *item,
                                                             const gchar *filename);

`item` : |
`filename` : |

### xfce_menu_item_get_command ()

    const gchar *       xfce_menu_item_get_command          (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_command ()

    void                xfce_menu_item_set_command          (XfceMenuItem *item,
                                                             const gchar *command);

`item` : |
`command` : |

### xfce_menu_item_get_try_exec ()

    const gchar *       xfce_menu_item_get_try_exec         (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_try_exec ()

    void                xfce_menu_item_set_try_exec         (XfceMenuItem *item,
                                                             const gchar *try_exec);

`item` : |
`try_exec` : |

### xfce_menu_item_get_name ()

    const gchar *       xfce_menu_item_get_name             (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_name ()

    void                xfce_menu_item_set_name             (XfceMenuItem *item,
                                                             const gchar *name);

`item` : |
`name` : |

### xfce_menu_item_get_icon_name ()

    const gchar *       xfce_menu_item_get_icon_name        (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_icon_name ()

    void                xfce_menu_item_set_icon_name        (XfceMenuItem *item,
                                                             const gchar *icon_name);

`item` : |
`icon_name` : |

### xfce_menu_item_requires_terminal ()

    gboolean            xfce_menu_item_requires_terminal    (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_requires_terminal ()

    void                xfce_menu_item_set_requires_terminal
                                                            (XfceMenuItem *item,
                                                             gboolean requires_terminal);

`item` : |
`requires_terminal` : |

### xfce_menu_item_get_no_display ()

    gboolean            xfce_menu_item_get_no_display       (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_no_display ()

    void                xfce_menu_item_set_no_display       (XfceMenuItem *item,
                                                             gboolean no_display);

`item` : |
`no_display` : |

### xfce_menu_item_supports_startup_notification ()

    gboolean            xfce_menu_item_supports_startup_notification
                                                            (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_supports_startup_notification ()

    void                xfce_menu_item_set_supports_startup_notification
                                                            (XfceMenuItem *item,
                                                             gboolean supports_startup_notification);

`item` : |
`supports_startup_notification` : |

### xfce_menu_item_get_categories ()

    GList *             xfce_menu_item_get_categories       (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_set_categories ()

    void                xfce_menu_item_set_categories       (XfceMenuItem *item,
                                                             GList *categories);

`item` : |
`categories` : |

### xfce_menu_item_show_in_environment ()

    gboolean            xfce_menu_item_show_in_environment  (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_ref ()

    void                xfce_menu_item_ref                  (XfceMenuItem *item);

`item` : |

### xfce_menu_item_unref ()

    void                xfce_menu_item_unref                (XfceMenuItem *item);

`item` : |

### xfce_menu_item_get_allocated ()

    gint                xfce_menu_item_get_allocated        (XfceMenuItem *item);

`item` : |
Returns : |

### xfce_menu_item_increment_allocated ()

    void                xfce_menu_item_increment_allocated  (XfceMenuItem *item);

`item` : |

### xfce_menu_item_decrement_allocated ()

    void                xfce_menu_item_decrement_allocated  (XfceMenuItem *item);

`item` : |

## Property Details

### The `"command"` property

      "command"                  gchar*                : Read / Write

Command to be executed when the menu item is clicked.

Default value: NULL

### The `"comment"` property

      "comment"                  gchar*                : Read / Write

Comment/description for the application. To be displayed e.g. in tooltips of GtkMenuItems.

Default value: NULL

### The `"desktop-id"` property

      "desktop-id"               gchar*                : Read / Write

The desktop-file id of this application.

Default value: NULL

### The `"filename"` property

      "filename"                 gchar*                : Read / Write

The (absolute) filename of the `XfceMenuItem`. Whenever this changes, the complete file is reloaded.

Default value: NULL

### The `"generic-name"` property

      "generic-name"             gchar*                : Read / Write

GenericName of the application (will be displayed in menus etc.).

Default value: NULL

### The `"icon-name"` property

      "icon-name"                gchar*                : Read / Write

Name of the icon to be displayed for this menu item.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write

Name of the application (will be displayed in menus etc.).

Default value: NULL

### The `"no-display"` property

      "no-display"               gboolean              : Read / Write

Whether this menu item is hidden in menus.

Default value: FALSE

### The `"path"` property

      "path"                     gchar*                : Read / Write

Working directory the application should be started in.

Default value: NULL

### The `"requires-terminal"` property

      "requires-terminal"        gboolean              : Read / Write

Whether this application requires a terinal to be started in.

Default value: FALSE

### The `"supports-startup-notification"` property

      "supports-startup-notification" gboolean              : Read / Write

Startup notification support.

Default value: FALSE

### The `"try-exec"` property

      "try-exec"                 gchar*                : Read / Write

TryExec value of the item's desktop entry.

Default value: NULL